Subject: Re: bug#49864: 28.0.50; Fails to start after "make install"

From: Wilhelm Kirschbaum <[email-masked]>
Date: Thu, 5 Aug 2021 09:14:10 +0200

Yes, of course, but I will only be able to do it a bit later today. I am
not too familiar with GDB though.

On Thu, Aug 5, 2021 at 9:09 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Wilhelm Kirschbaum <[email-masked]>
> > Date: Thu, 5 Aug 2021 09:02:48 +0200
> > Cc: [email-masked]
> >
> > These are all the *.pdmp files on my system:
> > /home/wilhelm/src/tools/emacs/src/bootstrap-emacs.pdmp
> > /home/wilhelm/src/tools/emacs/src/emacs-28.0.50.1.pdmp
> > /home/wilhelm/src/tools/emacs/src/emacs.pdmp
> > /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/emacs.pdmp
> >
> > The relative path comment was unimportant, sorry about that. I just
> meant that emacs is trying to find
> >
> `/usr/local/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln`
> which does not exist.
> >
> > From what I can see these are the only links:
> > /usr/local/bin/emacs -> emacs-28.0.50
> > /home/wilhelm/src/tools/otp/lib/tools/emacs/tags.erl -> ../src/tags.erl
>
> Hmm... we are missing something here.
>
> Can you start Emacs under GDB and step through the code I will point
> out, so that we could collect more information about what happens?  If
> you can, I will provide detailed instructions.
>
> Thanks.
>